> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/microsoft-xna-framework/vector3.md).

# Vector3

Vector3 is used throughout FlatRedBall to store position, velocity, and acceleration values. Also, the Vector3 struct is used in many places to perform common math operations such as to determine the distance or angle between two objects. Vector3 is located in the Microsoft.Xna.Framework namespace and is a native part of MonoGame. FlatRedBall offers additional extension methods to the Vector3 type through the Vector3ExtensionMethods class. To use this, add the following using statement to your code:

```
using Microsoft.Xna.Framework;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/microsoft-xna-framework/vector3.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
